//
// Copyright  Diehl Graphsoft, Inc. 2006.
// All Rights Reserved.
// 

#pragma once

#include "IFileIdentifier.h"

namespace VectorWorks
{
	namespace Filing
	{
		// ----------------------------------------------------------------------------------------------------
		// {58F756CD-903E-4d9e-9C92-3C844BEAEE7E}
		static const VWIID IID_IImportExportSketchup = { 0x58f756cd, 0x903e, 0x4d9e, { 0x9c, 0x92, 0x3c, 0x84, 0x4b, 0xea, 0xee, 0x7e } };

		class DYNAMIC_ATTRIBUTE IImportExportSketchup : public IVWUnknown
		{
		public:
			virtual VCOMError VCOM_CALLTYPE	Import() = 0;
			virtual VCOMError VCOM_CALLTYPE	Import(IFileIdentifier* pFileID) = 0;
			virtual VCOMError VCOM_CALLTYPE	Export() = 0;
			virtual VCOMError VCOM_CALLTYPE	Export(IFileIdentifier* pFileID) = 0;
		};

		// ----------------------------------------------------------------------------------------------------
		typedef VCOMPtr<IImportExportSketchup>		IImportExportSketchupPtr;
	}
}
