/*
 *  IVectorScriptEditor.h
 *  VectorWorks
 *
 *  Created by Lyndsey Ferguson on 10/20/09.
 *  Copyright 2009 Nemetschek North America, Inc. All rights reserved.
 *
 */

#pragma once

namespace VectorWorks
{
	namespace VectorScript
	{
		// ---------------------------------------------------------------------------------------------------
		struct TVSEditorData
		{	
			TXString	fVectorScript;
			bool		fIsEditable;
			TXString	fVectorScriptSource;
			Sint16		fParameterCount;
			Sint32		fLineToSelect;
			Sint16		fCaretPosition;
		};
		
		// ---------------------------------------------------------------------------------------------------
		// {8F1B2EFB-3326-417B-8435-E2DC058CAB19}
		static const VWIID IID_VectorScritpEditor = { 0x8F1B2EFB, 0x3326, 0x417B, { 0x84, 0x35, 0xE2, 0xDC, 0x05, 0x8C, 0xAB, 0x19 }};
		
		class IVectorScriptEditor : public IVWSingletonUnknown
		{
		public:
			virtual ~IVectorScriptEditor() { }
			virtual VCOMError VCOM_CALLTYPE Display(TVSEditorData& editorData, ViewRect& windowBounds, bool& dismissedWithOK) = 0;
		};
	}
}