#ifndef REZ_FOR_MACHO
	#define REZ_FOR_MACHO 0
#endif


#if REZ_FOR_MACHO
	#include <Carbon/Carbon.r>
#else
	#include "MacTypes.r"
#endif
#include "GSRsrc.r"

// See the SDK manual for a discussion of Plug-in Object resources.


resource 'PDEf' (128) {
	"Object",					// Universal name of the object
	"Object",					// Display name of the object
	1							// Version
};

resource 'POpt' (128) {
	wallInsertOnEdge,			// Wall insert-on-edge flag
	wallNoBreak,				// Wall break flag
	noWallHalfBreak,			// Wall half-break flag
	noWallHideCaps				// Wall hide-caps flag
};


// See the SDK manual for sub-type constants.
resource 'PExt' (128) {
	0,							// Object sub-type
	noResetOnMove,				// Reset on move flag
	noResetOnRotate				// Reset on rotate flag
};

resource 'Chc#' (128) {
	{	/* array Choices: 3 elements */
		/* [1] */
		"c1",					// Universal choice string
		"Choice 1",				// Localized choice string
		/* [2] */
		"c2",					// Universal choice string
		"Choice 2",				// Localized choice string
		/* [3] */
		"c3",					// Universal choice string
		"Choice 3"				// Localized choice string
	}
};


// Parameter resource.
// See the SDK manual for a list of Type constants.

resource 'Prm#' (128) {
	{	/* array Parameters: 3 elements */
		/* [1] */
		"p1",					// Universal parameter name
		"Parameter 1",			// Localized parameter name
		"Default Text",			// Default value
		4,						// Type
		0,						// Choice ID (Chc# resource ID)
		/* [2] */
		"p2",					// Universal parameter name
		"Parameter 2",			// Localized parameter name
		"1",					// Default value
		2,						// Type
		0,						// Choice ID (Chc# resource ID)
		/* [3] */
		"p3",					// Universal parameter name
		"Parameter 3",			// Localized parameter name
		"Choice 2",				// Default value
		8,						// Type
		128						// Choice ID (Chc# resource ID)
	}
};
