// WorldInchesToCoords.h
//
// Copyright 1999 Diehl Graphsoft, Inc.
// All Rights Reserved.
//
// Provides implementation for two functions that convert from 
// Minicad coords to worldSpace inches.
//
// SourceSafe information for this version:
//    $Revision: 1 $
//    $Date: 6/06/00 6:13p $
//    $Author: Dave $

#ifndef WORLD_INCH_TO_COORDS
#define WORLD_INCH_TO_COORDS

#pragma once

#include "MiniCadCallBacks.h"

Boolean GS_API WorldInchesToCoords(CallBackPtr cbp, double_param inches, WorldCoord& coords);

double_gs GS_API CoordsToWorldInches(CallBackPtr cbp, WorldCoord coords);

#endif

