//
//	Copyright  2009 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Judah Warshaw

#pragma once

#include "Control.h"

namespace VWFC
{
	namespace VWUI
	{
		class VWChooseClassPopupCtrl : public VWControl
		{
		public:
							VWChooseClassPopupCtrl(TControlID id);
			virtual			~VWChooseClassPopupCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, short widthInCharacters);

		// attributes
		public:
			void			GetSelectedClass( TXString & selectedClass ) const;
			void			SetSelectedClass( const TXString & selectedClass );

			size_t			GetSelectedIndex() const;
			void			SelectIndex( size_t nIndex );

			void			InsertProposedClass( const TXString & proposedClass );

		};
	}
}