
#ifndef REZ_FOR_MACHO
	#define REZ_FOR_MACHO 0
#endif

#if REZ_FOR_MACHO
	#include <Carbon/Carbon.r>
#else
	#include "MacTypes.r"
#endif

#include "GSRsrc.r"

// See the SDK manual for a discussion of Plug-in Library resources.
// See MiniCadCallBacks.h for a list of function argument types.


resource 'VLIB' (0, "Func1") {		// Function ID 0
	"Func1",						// Function name
	"Category",						// Category
	"Function 1 description",		// Description
	1,								// Version
	0,								// Scope
	hasReturnVal,					// Has return value
	"",								// Reserved
	"",								// Reserved
	{	/* array Parameters: 1 elements */
		/* [1] */
		"retVal",					// Argument name
		3,							// Argument type (see MiniCadCallBacks.h for types)
		0							// Reserved
	}
};

resource 'VLIB' (1, "Func2") {		// Function ID 1
	"Func2",
	"Category",
	"Function 2 description",
	0,
	0,
	hasReturnVal,
	"",
	"",
	{	/* array Parameters: 3 elements */
		/* [1] */
		"arg1",
		3,
		0,
		/* [2] */
		"arg2",
		18,
		0,
		/* [3] */
		"retVal",
		1,
		0
	}
};

resource 'VLIB' (2, "Func3") {		// Function ID 2
	"Func3",
	"Category",
	"Function 3 description",
	0,
	0,
	hasReturnVal,
	"",
	"",
	{	/* array Parameters: 4 elements */
		/* [1] */
		"arg1",
		3,
		0,
		/* [2] */
		"arg2",
		1,
		0,
		/* [3] */
		"arg3",
		18,
		0,
		/* [4] */
		"retVal",
		16,
		0
	}
};

resource 'vers' (1, "Plug-in vers") {
	0x1,								// Major revision in BCD
	0x0,								// Minor revision in BCD
	release,							// Release stage
	0x0,								// Non-final release #
	0,									// Region code
	"1.0",								// Short version number
	"1.0.0,  copyright 2004."			// Long version number
};

resource 'vers' (2, "Application vers") {
	0xB,
	0x0,
	release,
	0x0,
	0,
	"11.0",
	"VectorWorks 11.0"
};

