//
//	Copyright  Nemetschek North America, Inc  2005.
//	All Rights Reserved.


#ifdef _WINDOWS
# include <Windows.h>
# include <GSWinSDK.h>	// Graphsoft Required.
#else
# ifdef _DEBUG
#  include "GSBug.h"
# else
#include "GSRELEASE.h"
# endif
#endif

////////////////////////////////////////////////////////////////
// VW SDK
#include <MCCoordTypes.h>
#include <MiniCadHookIntf.h>
#include <GSESetup.h>
#include <MiniCadCallBacks.h>
#include <GSString.h>
#include <GSTypes.h>
#include <MCMatrix.h>

#include <RecordHandler.h>
#include <ExtendedProperties.h>

// -------------------------------------------------------------------------------
// VCOM standard interfaces
#include <VWInterfaces.h>

// -------------------------------------------------------------------------------
// DEFINE the following when you want toe enable timing of the routines of the plug-in
//# define	_DO_TIMING

// -------------------------------------------------------------------------------
// DEFINE the following if you want to enable debugging memory manager (in VWFC)
// -- this is collecting information for allocated memory and reporting memory leaks
#ifdef _DEBUG
# define	 _DEBUG_MEMORY
#endif

// -------------------------------------------------------------------------------
// Include the VectorWorks Foundation Classes Library
#include "VWFC/VWFCLibrary.h"
#include "VWFC/PluginSupport/VWExtensions.h"

using namespace VWFC::Math;
using namespace VWFC::VWObjects;
using namespace VWFC::Tools;
using namespace VWFC::VWUI;

////////////////////////////////////////////////////////////////
// Plug-in specific

