#include "StdAfx.h"

#include "PluginResource.h"

#include "ExtMenu.h"

using namespace VectorWorks::Filing;
using namespace TesterModule;

namespace TesterModule
{
	// --------------------------------------------------------------------------------------------------------
	static SMenuDef		gMenuDef = {
		/*Needs*/			0x00,
		/*NeedsNot*/		0x00,
		/*Title*/			{12000, 1},
		/*Category*/		{12000, 2},
		/*HelpText*/		{12000},
		/*VersionCreated*/	16,
		/*VersoinModified*/	0,
		/*VersoinRetired*/	0
	};

	/*static SSTRResource	gMenuChunksDef[] = {
		{ {12000, 4}, "" },
		{ {12000, 5}, "" },
		{ {12000, 6}, "" },
		{ {12000, 7}, "" },
		{ {12000, 8}, "" },
		{ {NULL, NULL}, NULL }
	};*/
}

// --------------------------------------------------------------------------------------------------------
// {5B6448A9-1DBB-4541-B2D7-862FB517C868}
IMPLEMENT_VWExtension(
	/*Extension class*/	CExtMenu,
	/*Event sink*/		CMenu_EventSink,
	/*Universal name*/	"CExtMenu",
	/*Version*/			1,
	/*UUID*/			0x5b6448a9, 0x1dbb, 0x4541, 0xb2, 0xd7, 0x86, 0x2f, 0xb5, 0x17, 0xc8, 0x68 );

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CExtMenu::CExtMenu(CallBackPtr cbp)
	: VWExtensionMenu( cbp, gMenuDef, NULL )
//	: VWExtensionMenu( cbp, gMenuDef, gMenuChunksDef )
{
}

CExtMenu::~CExtMenu()
{
}

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CMenu_EventSink::CMenu_EventSink(IVWUnknown* parent)
	: VWMenu_EventSink( parent )
{
}

CMenu_EventSink::~CMenu_EventSink()
{
}

TXString CMenu_EventSink::GetContextualHelpID() const
{
	return "";
}

void CMenu_EventSink::DoInterface()
{
	gSDK->AlertInform( "CMenu_EventSink::DoInterface" );
}
